import request from '@/utils/request'

//1.系统设置 start ------------------------------------->

//1.1 获取职能部门列表
export function getDepartmentList(data) {
  return request({
    url: '/public/getZhinengbumenList',
    method: 'post',
    data
  })
}

//1.2 获取职能部门详情
export function getDepartmentMain(data) {
  return request({
    url: '/public/getZhinengbumen',
    method: 'post',
    data
  })
}

//1.3 添加职能部门
export function addDepartment(data) {
  return request({
    url: '/public/addZhinengbumen',
    method: 'post',
    data
  })
}

//1.4 删除职能部门  
export function delDepartment(data) {
  return request({
    url: '/public/delZhinengbumen',
    method: 'post',
    data
  })
}

//1.5 修改职能部门
export function upDepartment(data) {
  return request({
    url: '/public/modZhinengbumen',
    method: 'post',
    data
  })
}

//1.6 获取职能部门列表
export function getAllDepartment(data) {
  return request({
    url: '/public/getPidZhinengbumen',
    method: 'post',
    data
  })
}
//系统设置 end ------------------------------------->